/vercel-marketplace | Type: Application | PCID required: Yes
Tools
vercel_marketplace_connect_integration_resource_to_project
Connect integration resource to project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
projectId | string | Yes | — | Project Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"projectId": {
"type": "string",
"description": "Project Id"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId",
"projectId"
]
}
vercel_marketplace_create_event
Create Event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
event | object | Yes | — | The event value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"event": {
"description": "The event value"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"event"
]
}
vercel_marketplace_create_installations_by_integration_configuration_id_resources_by_resource_id_experimentation_items
Create one or multiple experimentation items Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
items | object[] | Yes | — | The items value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"items": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"slug": {
"type": "string",
"description": "The slug value"
},
"origin": {
"type": "string",
"description": "The origin value"
},
"category": {
"type": "string",
"enum": [
"experiment",
"flag"
],
"description": "The category value"
},
"name": {
"type": "string",
"description": "The name value"
},
"description": {
"type": "string",
"description": "The description value"
},
"isArchived": {
"type": "boolean",
"description": "Is Archived"
},
"createdAt": {
"type": "number",
"description": "Created At"
},
"updatedAt": {
"type": "number",
"description": "Updated At"
}
},
"required": [
"id",
"slug",
"origin"
]
},
"description": "The items value"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId",
"items"
]
}
vercel_marketplace_create_integration_store_direct
Create integration store (free and paid plans) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
billingPlanId | string | No | — | ID of the billing plan for paid resources. Get available plans from GET /integrations/integration/{id}/products/{productId}/plans. If not provided, automatically discovers free billing plans. |
externalId | string | No | — | Optional external identifier for tracking purposes |
integrationConfigurationId | string | Yes | — | ID of your integration configuration. Get this from GET /v1/integrations/configurations |
integrationProductIdOrSlug | string | Yes | — | ID or slug of the integration product. Get available products from GET /v1/integrations/configuration/{id}/products |
metadata | object | No | — | Optional key-value pairs for resource metadata |
name | string | Yes | — | Human-readable name for the storage resource |
paymentMethodId | string | No | — | Payment method ID for paid resources. Optional - uses default payment method if not provided. |
prepaymentAmountCents | number | No | — | Amount in cents for prepayment billing plans. Required only for prepayment plans with variable amounts. |
protocolSettings | object | No | — | Protocol-specific configuration settings |
source | string | No | — | Source of the store creation request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"billingPlanId": {
"type": "string",
"description": "ID of the billing plan for paid resources. Get available plans from GET /integrations/integration/{id}/products/{productId}/plans. If not provided, automatically discovers free billing plans."
},
"externalId": {
"type": "string",
"description": "Optional external identifier for tracking purposes"
},
"integrationConfigurationId": {
"type": "string",
"description": "ID of your integration configuration. Get this from GET /v1/integrations/configurations"
},
"integrationProductIdOrSlug": {
"type": "string",
"description": "ID or slug of the integration product. Get available products from GET /v1/integrations/configuration/{id}/products"
},
"metadata": {
"type": "object",
"description": "Optional key-value pairs for resource metadata"
},
"name": {
"type": "string",
"description": "Human-readable name for the storage resource"
},
"paymentMethodId": {
"type": "string",
"description": "Payment method ID for paid resources. Optional - uses default payment method if not provided."
},
"prepaymentAmountCents": {
"type": "number",
"description": "Amount in cents for prepayment billing plans. Required only for prepayment plans with variable amounts."
},
"protocolSettings": {
"type": "object",
"description": "Protocol-specific configuration settings"
},
"source": {
"type": "string",
"description": "Source of the store creation request",
"enum": [
"marketplace",
"deploy-button",
"external",
"v0",
"resource-claims",
"cli",
"oauth",
"backoffice"
]
}
},
"required": [
"PCID",
"integrationConfigurationId",
"integrationProductIdOrSlug",
"name"
]
}
vercel_marketplace_delete_configuration
Delete an integration configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id value |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id value"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"id"
]
}
vercel_marketplace_delete_installations_by_integration_configuration_id_resources_by_resource_id_experimentation_items_by_item_id
Delete an existing experimentation item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
itemId | string | Yes | — | Item Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"itemId": {
"type": "string",
"description": "Item Id"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId",
"itemId"
]
}
vercel_marketplace_delete_integration_resource
Delete Integration Resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId"
]
}
vercel_marketplace_exchange_sso_token
SSO Token Exchange Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
vercel_marketplace_finalize_installation
Finalize Installation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
}
},
"required": [
"PCID",
"integrationConfigurationId"
]
}
vercel_marketplace_get_account_info
Get Account Information Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
}
},
"required": [
"PCID",
"integrationConfigurationId"
]
}
vercel_marketplace_get_billing_plans
List integration billing plans Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationIdOrSlug | string | Yes | — | Integration Id Or Slug |
integrationConfigurationId | string | No | — | Integration Configuration Id |
productIdOrSlug | string | Yes | — | Product Id Or Slug |
metadata | string | No | — | The metadata value |
source | string | No | — | The source value |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationIdOrSlug": {
"type": "string",
"description": "Integration Id Or Slug"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"productIdOrSlug": {
"type": "string",
"description": "Product Id Or Slug"
},
"metadata": {
"type": "string",
"description": "The metadata value"
},
"source": {
"type": "string",
"description": "The source value",
"enum": [
"marketplace",
"deploy-button",
"external",
"v0",
"resource-claims",
"cli",
"oauth",
"backoffice"
]
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"integrationIdOrSlug",
"productIdOrSlug"
]
}
vercel_marketplace_get_configuration
Retrieve an integration configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the configuration to check |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "ID of the configuration to check"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"id"
]
}
vercel_marketplace_get_configuration_products
List products for integration configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the integration configuration |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "ID of the integration configuration"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"id"
]
}
vercel_marketplace_get_configurations
Get configurations for the authenticated user or team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
view | string | Yes | — | The view value |
installationType | string | No | — | Installation Type |
integrationIdOrSlug | string | No | — | ID of the integration |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"view": {
"type": "string",
"description": "The view value",
"enum": [
"account",
"project"
]
},
"installationType": {
"type": "string",
"description": "Installation Type",
"enum": [
"marketplace",
"external",
"provisioning"
]
},
"integrationIdOrSlug": {
"type": "string",
"description": "ID of the integration"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"view"
]
}
vercel_marketplace_get_installations_by_integration_configuration_id_resources_by_resource_id_experimentation_edge_config
Get the data of a user-provided Edge Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId"
]
}
vercel_marketplace_get_integration_resource
Get Integration Resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | The ID of the integration configuration (installation) the resource belongs to |
resourceId | string | Yes | — | The ID provided by the 3rd party provider for the given resource |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "The ID of the integration configuration (installation) the resource belongs to"
},
"resourceId": {
"type": "string",
"description": "The ID provided by the 3rd party provider for the given resource"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId"
]
}
vercel_marketplace_get_integration_resources
Get Integration Resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
}
},
"required": [
"PCID",
"integrationConfigurationId"
]
}
vercel_marketplace_get_invoice
Get Invoice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
invoiceId | string | Yes | — | Invoice Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"invoiceId": {
"type": "string",
"description": "Invoice Id"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"invoiceId"
]
}
vercel_marketplace_get_member
Get Member Information Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
memberId | string | Yes | — | Member Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"memberId": {
"type": "string",
"description": "Member Id"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"memberId"
]
}
vercel_marketplace_git_namespaces
List git namespaces by provider Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
host | string | No | — | The custom Git host if using a custom Git provider, like GitHub Enterprise Server |
provider | object | No | — | The provider value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"host": {
"type": "string",
"description": "The custom Git host if using a custom Git provider, like GitHub Enterprise Server"
},
"provider": {
"description": "The provider value",
"enum": [
"github",
"github-limited",
"github-custom-host",
"gitlab",
"bitbucket"
]
}
},
"required": [
"PCID"
]
}
vercel_marketplace_import_resource
Import Resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
billingPlan | object | No | — | Billing Plan |
extras | object | No | — | The extras value |
metadata | object | No | — | The metadata value |
name | string | Yes | — | The name value |
notification | object | No | — | The notification value |
ownership | string | No | — | The ownership value |
productId | string | Yes | — | Product Id |
secrets | object[] | No | — | The secrets value |
status | string | Yes | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"billingPlan": {
"type": "object",
"description": "Billing Plan",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"type": {
"type": "string",
"description": "The type value",
"enum": [
"prepayment",
"subscription"
]
},
"name": {
"type": "string",
"description": "The name value"
},
"description": {
"type": "string",
"description": "The description value"
},
"paymentMethodRequired": {
"type": "boolean",
"description": "Payment Method Required"
},
"cost": {
"type": "string",
"description": "The cost value"
},
"details": {
"type": "array",
"items": {
"type": "object"
},
"description": "The details value"
},
"highlightedDetails": {
"type": "array",
"items": {
"type": "object"
},
"description": "Highlighted Details"
},
"effectiveDate": {
"type": "string",
"description": "Effective Date"
}
},
"required": [
"id",
"type",
"name"
]
},
"extras": {
"type": "object",
"description": "The extras value"
},
"metadata": {
"type": "object",
"description": "The metadata value"
},
"name": {
"type": "string",
"description": "The name value"
},
"notification": {
"type": "object",
"description": "The notification value",
"properties": {
"level": {
"type": "string",
"description": "The level value",
"enum": [
"info",
"warn",
"error"
]
},
"title": {
"type": "string",
"description": "The title value"
},
"message": {
"type": "string",
"description": "The message value"
},
"href": {
"type": "string",
"description": "The href value"
}
},
"required": [
"level",
"title"
]
},
"ownership": {
"type": "string",
"description": "The ownership value",
"enum": [
"owned",
"linked",
"sandbox"
]
},
"productId": {
"type": "string",
"description": "Product Id"
},
"secrets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name value"
},
"value": {
"type": "string",
"description": "The value value"
},
"prefix": {
"type": "string",
"description": "The prefix value"
},
"environmentOverrides": {
"type": "object",
"description": "A map of environments to override values for the secret, used for setting different values across deployments in production, preview, and development environments. Note: the same value will be used for all deployments in the given environment."
}
},
"required": [
"name",
"value"
]
},
"description": "The secrets value"
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"ready",
"pending",
"onboarding",
"suspended",
"resumed",
"uninstalled",
"error"
]
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId",
"name",
"productId",
"status"
]
}
vercel_marketplace_replace_installations_by_integration_configuration_id_resources_by_resource_id_experimentation_edge_config
Push data into a user-provided Edge Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"data": {
"type": "object",
"description": "The data value"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId",
"data"
]
}
vercel_marketplace_search_repo
List git repositories linked to namespace by provider Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | No | — | Search query string |
namespaceId | object | No | — | Namespace Id |
provider | object | No | — | The provider value |
installationId | string | No | — | Installation Id |
host | string | No | — | The custom Git host if using a custom Git provider, like GitHub Enterprise Server |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "string",
"description": "Search query string"
},
"namespaceId": {
"description": "Namespace Id"
},
"provider": {
"description": "The provider value",
"enum": [
"github",
"github-limited",
"github-custom-host",
"gitlab",
"bitbucket"
]
},
"installationId": {
"type": "string",
"description": "Installation Id"
},
"host": {
"type": "string",
"description": "The custom Git host if using a custom Git provider, like GitHub Enterprise Server"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID"
]
}
vercel_marketplace_submit_billing_data
Submit Billing Data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
billing | object[] | Yes | — | Billing data (interim invoicing data). |
eod | string | Yes | — | End of Day, the UTC datetime for when the end of the billing/usage day is in UTC time. This tells us which day the usage data is for, and also allows for your “end of day” to be different from UTC 00:00:00. eod must be within the period dates, and cannot be older than 24h earlier from our server’s current time. |
period | object | Yes | — | Period for the billing cycle. The period end date cannot be older than 24 hours earlier than our current server’s time. |
timestamp | string | Yes | — | Server time of your integration, used to determine the most recent data for race conditions & updates. Only the latest usage data for a given day, week, and month will be kept. |
usage | object[] | Yes | — | The usage value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"billing": {
"type": "array",
"items": {
"type": "object",
"properties": {
"billingPlanId": {
"type": "string",
"description": "Partner's billing plan ID."
},
"resourceId": {
"type": "string",
"description": "Partner's resource ID."
},
"start": {
"type": "string",
"format": "date-time",
"description": "Start and end are only needed if different from the period's start/end."
},
"end": {
"type": "string",
"format": "date-time",
"description": "Start and end are only needed if different from the period's start/end."
},
"name": {
"type": "string",
"description": "Line item name."
},
"details": {
"type": "string",
"description": "Line item details."
},
"price": {
"type": "string",
"description": "Price per unit."
},
"quantity": {
"type": "number",
"description": "Quantity of units."
},
"units": {
"type": "string",
"description": "Units of the quantity."
},
"total": {
"type": "string",
"description": "Total amount."
}
},
"required": [
"billingPlanId",
"name",
"price",
"quantity",
"units",
"total"
]
},
"description": "Billing data (interim invoicing data)."
},
"eod": {
"type": "string",
"description": "End of Day, the UTC datetime for when the end of the billing/usage day is in UTC time. This tells us which day the usage data is for, and also allows for your \\\"end of day\\\" to be different from UTC 00:00:00. eod must be within the period dates, and cannot be older than 24h earlier from our server's current time."
},
"period": {
"type": "object",
"description": "Period for the billing cycle. The period end date cannot be older than 24 hours earlier than our current server's time.",
"properties": {
"start": {
"type": "string",
"description": "The start value"
},
"end": {
"type": "string",
"description": "The end value"
}
},
"required": [
"start",
"end"
]
},
"timestamp": {
"type": "string",
"description": "Server time of your integration, used to determine the most recent data for race conditions & updates. Only the latest usage data for a given day, week, and month will be kept."
},
"usage": {
"type": "array",
"items": {
"type": "object",
"properties": {
"resourceId": {
"type": "string",
"description": "Partner's resource ID."
},
"name": {
"type": "string",
"description": "Metric name."
},
"type": {
"type": "string",
"enum": [
"total",
"interval",
"rate"
],
"description": "\\n Type of the metric.\\n - total: measured total value, such as Database size\\n - interval: usage during the period, such as i/o or number of queries.\\n - rate: rate of usage, such as queries per second.\\n"
},
"units": {
"type": "string",
"description": "Metric units. Example: \\\"GB\\\""
},
"dayValue": {
"type": "number",
"description": "Metric value for the day. Could be a final or an interim value for the day."
},
"periodValue": {
"type": "number",
"description": "Metric value for the billing period. Could be a final or an interim value for the period."
},
"planValue": {
"type": "number",
"description": "The limit value of the metric for a billing period, if a limit is defined by the plan."
}
},
"required": [
"name",
"type",
"units",
"dayValue",
"periodValue"
]
},
"description": "The usage value"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"billing",
"eod",
"period",
"timestamp",
"usage"
]
}
vercel_marketplace_submit_invoice
Submit Invoice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
discounts | object[] | No | — | The discounts value |
externalId | string | No | — | External Id |
final | boolean | No | — | Set this to true if this is the final invoice for the installation. Can only be set when the installation is pending deletion. |
invoiceDate | string | Yes | — | Invoice date. Must be within the period’s start and end. |
items | object[] | Yes | — | The items value |
memo | string | No | — | Additional memo for the invoice. |
period | object | Yes | — | Subscription period for this billing cycle. |
test | object | No | — | Test mode |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"discounts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"resourceId": {
"type": "string",
"description": "Partner's resource ID."
},
"billingPlanId": {
"type": "string",
"description": "Partner's billing plan ID."
},
"start": {
"type": "string",
"format": "date-time",
"description": "Start and end are only needed if different from the period's start/end."
},
"end": {
"type": "string",
"format": "date-time",
"description": "Start and end are only needed if different from the period's start/end."
},
"name": {
"type": "string",
"description": "The name value"
},
"details": {
"type": "string",
"description": "The details value"
},
"amount": {
"type": "string",
"description": "Currency amount as a decimal string."
}
},
"required": [
"billingPlanId",
"name",
"amount"
]
},
"description": "The discounts value"
},
"externalId": {
"type": "string",
"description": "External Id"
},
"final": {
"type": "boolean",
"description": "Set this to `true` if this is the final invoice for the installation. Can only be set when the installation is pending deletion."
},
"invoiceDate": {
"type": "string",
"description": "Invoice date. Must be within the period's start and end."
},
"items": {
"type": "array",
"items": {
"type": "object",
"properties": {
"resourceId": {
"type": "string",
"description": "Partner's resource ID."
},
"billingPlanId": {
"type": "string",
"description": "Partner's billing plan ID."
},
"start": {
"type": "string",
"format": "date-time",
"description": "Start and end are only needed if different from the period's start/end."
},
"end": {
"type": "string",
"format": "date-time",
"description": "Start and end are only needed if different from the period's start/end."
},
"name": {
"type": "string",
"description": "The name value"
},
"details": {
"type": "string",
"description": "The details value"
},
"price": {
"type": "string",
"description": "Currency amount as a decimal string."
},
"quantity": {
"type": "number",
"description": "The quantity value"
},
"units": {
"type": "string",
"description": "The units value"
},
"total": {
"type": "string",
"description": "Currency amount as a decimal string."
}
},
"required": [
"billingPlanId",
"name",
"price",
"quantity",
"units",
"total"
]
},
"description": "The items value"
},
"memo": {
"type": "string",
"description": "Additional memo for the invoice."
},
"period": {
"type": "object",
"description": "Subscription period for this billing cycle.",
"properties": {
"start": {
"type": "string",
"description": "The start value"
},
"end": {
"type": "string",
"description": "The end value"
}
},
"required": [
"start",
"end"
]
},
"test": {
"type": "object",
"description": "Test mode",
"properties": {
"validate": {
"type": "boolean",
"description": "The validate value"
},
"result": {
"type": "string",
"description": "The result value",
"enum": [
"paid",
"notpaid"
]
}
}
}
},
"required": [
"PCID",
"integrationConfigurationId",
"invoiceDate",
"items",
"period"
]
}
vercel_marketplace_submit_prepayment_balances
Submit Prepayment Balances Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
balances | object[] | Yes | — | The balances value |
timestamp | string | Yes | — | Server time of your integration, used to determine the most recent data for race conditions & updates. Only the latest usage data for a given day, week, and month will be kept. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"balances": {
"type": "array",
"items": {
"type": "object",
"properties": {
"resourceId": {
"type": "string",
"description": "Partner's resource ID, exclude if credits are tied to the installation and not an individual resource."
},
"credit": {
"type": "string",
"description": "A human-readable description of the credits the user currently has, e.g. \\\"2,000 Tokens\\\""
},
"nameLabel": {
"type": "string",
"description": "The name of the credits, for display purposes, e.g. \\\"Tokens\\\""
},
"currencyValueInCents": {
"type": "number",
"description": "The dollar value of the credit balance, in USD and provided in cents, which is used to trigger automatic purchase thresholds."
}
},
"required": [
"currencyValueInCents"
]
},
"description": "The balances value"
},
"timestamp": {
"type": "string",
"description": "Server time of your integration, used to determine the most recent data for race conditions & updates. Only the latest usage data for a given day, week, and month will be kept."
}
},
"required": [
"PCID",
"integrationConfigurationId",
"balances",
"timestamp"
]
}
vercel_marketplace_update_installation
Update Installation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
billingPlan | object | No | — | Billing Plan |
externalId | string | No | — | External Id |
notification | object | No | — | A notification to display to your customer. Send null to clear the current notification. |
status | string | No | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"billingPlan": {
"type": "object",
"description": "Billing Plan",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"type": {
"type": "string",
"description": "The type value",
"enum": [
"prepayment",
"subscription"
]
},
"name": {
"type": "string",
"description": "The name value"
},
"description": {
"type": "string",
"description": "The description value"
},
"paymentMethodRequired": {
"type": "boolean",
"description": "Payment Method Required"
},
"cost": {
"type": "string",
"description": "The cost value"
},
"details": {
"type": "array",
"items": {
"type": "object"
},
"description": "The details value"
},
"highlightedDetails": {
"type": "array",
"items": {
"type": "object"
},
"description": "Highlighted Details"
},
"effectiveDate": {
"type": "string",
"description": "Effective Date"
}
},
"required": [
"id",
"type",
"name"
]
},
"externalId": {
"type": "string",
"description": "External Id"
},
"notification": {
"description": "A notification to display to your customer. Send `null` to clear the current notification."
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"ready",
"pending",
"onboarding",
"suspended",
"resumed",
"uninstalled",
"error"
]
}
},
"required": [
"PCID",
"integrationConfigurationId"
]
}
vercel_marketplace_update_installations_by_integration_configuration_id_resources_by_resource_id_experimentation_items_by_item_id
Patch an existing experimentation item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
itemId | string | Yes | — | Item Id |
category | string | No | — | The category value |
createdAt | number | No | — | Created At |
description | string | No | — | The description value |
isArchived | boolean | No | — | Is Archived |
name | string | No | — | The name value |
origin | string | Yes | — | The origin value |
slug | string | Yes | — | The slug value |
updatedAt | number | No | — | Updated At |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"itemId": {
"type": "string",
"description": "Item Id"
},
"category": {
"type": "string",
"description": "The category value",
"enum": [
"experiment",
"flag"
]
},
"createdAt": {
"type": "number",
"description": "Created At"
},
"description": {
"type": "string",
"description": "The description value"
},
"isArchived": {
"type": "boolean",
"description": "Is Archived"
},
"name": {
"type": "string",
"description": "The name value"
},
"origin": {
"type": "string",
"description": "The origin value"
},
"slug": {
"type": "string",
"description": "The slug value"
},
"updatedAt": {
"type": "number",
"description": "Updated At"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId",
"itemId",
"origin",
"slug"
]
}
vercel_marketplace_update_integration_deployment_action
Update deployment integration action Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deploymentId | string | Yes | — | Deployment Id |
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
action | string | Yes | — | The action value |
outcomes | object[] | No | — | The outcomes value |
status | string | No | — | The status value |
statusText | string | No | — | Status Text |
statusUrl | string | No | — | Status Url |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deploymentId": {
"type": "string",
"description": "Deployment Id"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"action": {
"type": "string",
"description": "The action value"
},
"outcomes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"description": "The kind value"
},
"secrets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
},
"description": "The secrets value"
}
},
"required": [
"kind",
"secrets"
]
},
"description": "The outcomes value"
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"running",
"succeeded",
"failed"
]
},
"statusText": {
"type": "string",
"description": "Status Text"
},
"statusUrl": {
"type": "string",
"description": "Status Url"
}
},
"required": [
"PCID",
"deploymentId",
"integrationConfigurationId",
"resourceId",
"action"
]
}
vercel_marketplace_update_invoice
Invoice Actions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
invoiceId | string | Yes | — | Invoice Id |
action | string | Yes | — | The action value |
reason | string | Yes | — | Refund reason. |
total | string | Yes | — | The total amount to be refunded. Must be less than or equal to the total amount of the invoice. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"invoiceId": {
"type": "string",
"description": "Invoice Id"
},
"action": {
"type": "string",
"description": "The action value",
"enum": [
"refund"
]
},
"reason": {
"type": "string",
"description": "Refund reason."
},
"total": {
"type": "string",
"description": "The total amount to be refunded. Must be less than or equal to the total amount of the invoice."
}
},
"required": [
"PCID",
"integrationConfigurationId",
"invoiceId",
"action",
"reason",
"total"
]
}
vercel_marketplace_update_resource
Update Resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
billingPlan | object | No | — | Billing Plan |
extras | object | No | — | The extras value |
metadata | object | No | — | The metadata value |
name | string | No | — | The name value |
notification | object | No | — | The notification value |
ownership | string | No | — | The ownership value |
secrets | object[] | No | — | The secrets value |
status | string | No | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"billingPlan": {
"type": "object",
"description": "Billing Plan",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"type": {
"type": "string",
"description": "The type value",
"enum": [
"prepayment",
"subscription"
]
},
"name": {
"type": "string",
"description": "The name value"
},
"description": {
"type": "string",
"description": "The description value"
},
"paymentMethodRequired": {
"type": "boolean",
"description": "Payment Method Required"
},
"cost": {
"type": "string",
"description": "The cost value"
},
"details": {
"type": "array",
"items": {
"type": "object"
},
"description": "The details value"
},
"highlightedDetails": {
"type": "array",
"items": {
"type": "object"
},
"description": "Highlighted Details"
},
"effectiveDate": {
"type": "string",
"description": "Effective Date"
}
},
"required": [
"id",
"type",
"name"
]
},
"extras": {
"type": "object",
"description": "The extras value"
},
"metadata": {
"type": "object",
"description": "The metadata value"
},
"name": {
"type": "string",
"description": "The name value"
},
"notification": {
"description": "The notification value"
},
"ownership": {
"type": "string",
"description": "The ownership value",
"enum": [
"owned",
"linked",
"sandbox"
]
},
"secrets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name value"
},
"value": {
"type": "string",
"description": "The value value"
},
"prefix": {
"type": "string",
"description": "The prefix value"
},
"environmentOverrides": {
"type": "object",
"description": "A map of environments to override values for the secret, used for setting different values across deployments in production, preview, and development environments. Note: the same value will be used for all deployments in the given environment."
}
},
"required": [
"name",
"value"
]
},
"description": "The secrets value"
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"ready",
"pending",
"onboarding",
"suspended",
"resumed",
"uninstalled",
"error"
]
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId"
]
}
vercel_marketplace_update_resource_secrets_by_id
Update Resource Secrets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationConfigurationId | string | Yes | — | Integration Configuration Id |
resourceId | string | Yes | — | Resource Id |
partial | boolean | No | — | If true, will only overwrite the provided secrets instead of replacing all secrets. |
secrets | object[] | Yes | — | The secrets value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationConfigurationId": {
"type": "string",
"description": "Integration Configuration Id"
},
"resourceId": {
"type": "string",
"description": "Resource Id"
},
"partial": {
"type": "boolean",
"description": "If true, will only overwrite the provided secrets instead of replacing all secrets."
},
"secrets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name value"
},
"value": {
"type": "string",
"description": "The value value"
},
"prefix": {
"type": "string",
"description": "The prefix value"
},
"environmentOverrides": {
"type": "object",
"description": "A map of environments to override values for the secret, used for setting different values across deployments in production, preview, and development environments. Note: the same value will be used for all deployments in the given environment."
}
},
"required": [
"name",
"value"
]
},
"description": "The secrets value"
}
},
"required": [
"PCID",
"integrationConfigurationId",
"resourceId",
"secrets"
]
}

